Skip to main content

WPT Wallet List

GET

The Wallet list API is used to fetch the list of WPT providers.

Request Parameter​

ParametersInput TypeLengthRequirementDescription
countryCodeAlpha03MThe 3 digit country code of receiver. eg: USA, CHN
currencyCodeAlpha03MThe 3 digit currency code of receiver. eg: USD, CNY
recieverCodeNumeric10MThe 10-digit code of the payout partner, as provided in the receiverCode field of the Quotation API response. eg: 1000009909

Requirement legend: M = Mandatory · O = Optional · C = Conditional

Request Details​

GET /services HTTP/1.0
HOST: XXX.XXX.X.XXX:Port
Content-Type: application/json; charset=utf-8
GET https://sandbox-client.remittanceshub.com:8130/ewallet/api/v1/walletList/CHN/CNY/100000****/WPT

Response Parameter​

ParametersData TypeRequirementDescription
requestTimeStringMThis is the requested date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
responseTimeStringMThis is the response date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
resultCodeStringMThe unique code of the status of the transaction.
resultDescriptionStringMDescription of the status of the transaction.
Wallet List
walletNameStringMTo be passed in WPT payout API as service provider name along with service provider code. eg: ALIPAY-08601
providerCodeStringMThe code which needs to be passed in WPT payout API as service provider code. eg: 08601

Requirement legend: M = Mandatory · O = Optional · C = Conditional

Response Details​

{
"requestTime": "Tue Jan 28 13:10:40 IST 2025",
"responseTime": "Tue Jan 28 13:10:40 IST 2025",
"resultCode": "0",
"resultDescription": "Transaction Successful",
"walletListBeanList": [
{
"walletName": "ALIPAY",
"providerCode": "08601"
},
{
"walletName": "TENCENT",
"providerCode": "08602"
}
]
}